Installation of Logicaldoc 6.3.1 CE

Problems with installing LogicalDOC? No problems, the solution is closer than you think.

Moderator: car031

mobistar
Posts: 8
Joined: Wed Nov 30, 2011 1:21 am

Installation of Logicaldoc 6.3.1 CE

Wed Nov 30, 2011 7:40 am

I have tried to install the community versions 6.3 and 6.3.1 ( from the sourceforge download area ).
There are errors in the tomcat logs referring to missing files - A2C1275477FA1F1D1359C6B722309E36.gwt.rpc under /frontend. Another similar message appears when trying to upload a file , this time it is 3E3D4355F81DD0A62FAE78788462E119.gwt.rpc.
INFO: InfoService: ERROR: The serialization policy file '/frontend/A2C1275477FA1F1D1359C6B722309E36.gwt.rpc' was not found; did you forget to include it in this deployment?
Nov 30, 2011 1:21:36 AM org.apache.catalina.core.ApplicationContext log
INFO: InfoService: WARNING: Failed to get the SerializationPolicy 'A2C1275477FA1F1D1359C6B722309E36' for module 'http://centosvm1:8080/logicaldoc/frontend/'; a legacy, 1.3.3 compatible, serialization policy will be used. You may experience SerializationExceptions as a result.
Nov 30, 2011 1:21:36 AM org.apache.catalina.core.ApplicationContext log
SEVERE: Exception while dispatching incoming RPC call
com.google.gwt.user.client.rpc.SerializationException: Type '[Lcom.logicaldoc.gui.common.client.beans.GUIParameter;' was not assignable to 'com.google.gwt.user.client.rpc.IsSerializable' and did not have a custom field serializer.For security purposes, this type will not be serialized.: instance = [Lcom.logicaldoc.gui.common.client.beans.GUIParameter;@512dbd1a
Sure enough there are serialization exceptions.

Are there really files missing from the build?
Thanks,
Chris
mmeschieri
Posts: 242
Joined: Mon Apr 19, 2010 3:40 pm

Re: Installation of Logicaldoc 6.3.1 CE

Thu Dec 01, 2011 8:23 pm

Nol there are no misssing files, may be something depends on your browse. What is your browser?
mobistar
Posts: 8
Joined: Wed Nov 30, 2011 1:21 am

Re: Installation of Logicaldoc 6.3.1 CE

Mon Dec 05, 2011 1:52 am

Thanks.
Browser is Firefox 7 on Mandriva 2011.
I had previously been running LogicalDoc 6.1ce after trying 6.2 and experiencing problems with the WebDav component. I recently noticed 6.3.1 was available and decided to test that , at which point I got the errors. I downloaded the trial (full) version of 6.3.1 and that was OK, so I went back to the CE version and got the errors again, at which point I posted the issue. After your reply I have redeployed on a couple of other systems and also on the original system and tried various browsers/versions and the problem was no longer reproducible, so it must have been something in the deployment environment being not fully clean, or maybe with the browser caching something.
Anyway, 6.3.1ce is now successfully installed.
agaspa
Posts: 709
Joined: Tue Apr 20, 2010 8:24 am

Re: Installation of Logicaldoc 6.3.1 CE

Mon May 21, 2012 8:43 am

If you want you can upgrade your system to the latest LD 6.3.5,
the upgrade package is available on sourceforge: http://sourceforge.net/projects/logicaldoc/files/tools/
from the database stand point there is only a small change to be applied to upgrade from ld 6.3.1 to 6.3.5;
this is the instruction: alter table ld_version drop foreign key FK_VERSION_USER;

Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest